%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%endif

Summary:        GNOME Web Browser
Name:           galeon
Version: 2.0.7
Release:        %mkrel 18
License:        GPLv2+
Group:          Networking/WWW
Source:         http://prdownloads.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source4:        %{name}_48.png
Source5:        %{name}_32.png
Source6:        %{name}_16.png
# (fc) 0.12.2 use indexhtml as default page
Patch0:		galeon-1.3.2-home.patch
#gw from Fedora, build with xulrunner 1.9.1
Patch1: 	galeon-2.0.7-moz191.patch
# gw from Fedora, fix plugin dir
Patch2:		galeon-2.0.7-plugins.patch
Patch5:		galeon-2.0.7-dfltfont.patch
Patch6:		galeon-2.0.7-print.patch
Patch7:		galeon-2.0.7-warnings.patch
Patch8:		galeon-2.0.7-fix-str-fmt.patch
#gw add missing header
Patch9:		galeon-2.0.7-xul1.9.1.2.patch
Patch10:	galeon-2.0.7-xulrunner-1.9.2.patch
URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:  scrollkeeper
BuildRequires:	xulrunner-devel >= 1.9.1
BuildRequires: automake1.9
BuildRequires: intltool
BuildRequires: desktop-file-utils

Requires: %xulrunner_libname
Requires(post):		scrollkeeper
Requires(postun):       scrollkeeper
Requires:	indexhtml
Requires:	yelp
Provides:       webclient
Conflicts:	mozilla < 1.4-1mdk

%description
GNOME Web browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q
%patch0 -p1 -b .home
%patch1 -p1
%patch2 -p1 -b .plugins
%patch5 -p1 -b .print
%patch6 -p1 -b .dfltfont
%patch7 -p1 -b .warnings
%patch8 -p0 -b .str
%patch9 -p1
%patch10 -p1

%build
autoreconf -fis
%configure2_5x --disable-schemas-install --disable-nautilus-view \
--with-mozilla=libxul-embedding

%make

%install
rm -rf %buildroot

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std


mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

cp -f %{SOURCE4} %buildroot%{_liconsdir}/%{name}.png
cp -f %{SOURCE5} %buildroot%{_iconsdir}/%{name}.png
cp -f %{SOURCE6} %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%post
%if %mdkversion < 200900
%update_scrollkeeper
%post_install_gconf_schemas %name
%endif
if [ "$1" = "2" ]; then
  update-alternatives --remove webclient-gnome %{_bindir}/galeon
  update-alternatives --remove webclient-kde %{_bindir}/galeon
fi
%if %mdkversion < 200900
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%endif

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_sysconfdir}/gconf/schemas/galeon.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/galeon
%{_datadir}/sounds/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_mandir}/man1/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png




%changelog
* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.0.7-18mdv2010.1
+ Revision: 549371
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.0.7-17mdv2010.1
+ Revision: 531044
- rebuild for new xulrunner

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.0.7-15mdv2010.1
+ Revision: 527111
- rebuild for new xulrunner

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.0.7-14mdv2010.1
+ Revision: 490589
- rebuild for new libgnome-desktop

* Sun Jan 10 2010 Götz Waschk <waschk@mandriva.org> 2.0.7-13mdv2010.1
+ Revision: 488679
- rebuild for new xulrunner

* Mon Jan 04 2010 Pascal Terjan <pterjan@mandriva.org> 2.0.7-12mdv2010.1
+ Revision: 486234
- Support new xulrunner

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.0.7-11mdv2010.1
+ Revision: 460637
- rebuild for new xulrunner

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.0.7-10mdv2010.0
+ Revision: 439590
- rebuild for new xulrunner

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.0.7-9mdv2010.0
+ Revision: 418030
- patch for new xulrunner

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 2.0.7-8mdv2010.0
+ Revision: 409379
- update build deps
- rebuild for new xulrunner

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 2.0.7-7mdv2010.0
+ Revision: 399190
- rebuild for new xulrunner

* Sat Jun 13 2009 Funda Wang <fwang@mandriva.org> 2.0.7-6mdv2010.0
+ Revision: 385677
- sync with fedora gcc4 patch
- rebuild for new xulrunner

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.0.7-5mdv2010.0
+ Revision: 369567
- rebuild for new xulrunner

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.7-4mdv2009.1
+ Revision: 361841
- rebuild for xulrunner 1.9.0.8

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 2.0.7-3mdv2009.1
+ Revision: 354137
- rebuild for new xulrunner

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 2.0.7-2mdv2009.1
+ Revision: 337054
- reinstall libtool also
- rebuild for new xulrunner

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 2.0.7-1mdv2009.1
+ Revision: 318280
- fix str fmt
- add more patches
- New version 2.0.7
- sync with fedora patches
- rebuild for new xulrunner

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2.0.6-5mdv2009.1
+ Revision: 303119
- rebuild for new firefox

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.0.6-4mdv2009.1
+ Revision: 300173
- rebuild for new  gnome-desktop

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 2.0.6-3mdv2009.0
+ Revision: 289241
- add strict xulrunner dep

  + Pascal Terjan <pterjan@mandriva.org>
    - Add upstream patch for password saving
    - Switch to libxul-embedding-unstable else the HTTP Auth patch is useless

* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 2.0.6-2mdv2009.0
+ Revision: 261371
- Add debian patch to get HTTP Auth with xulrunner 1.9

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.0.6-1mdv2009.0
+ Revision: 257851
- patch to build with our xulrunner
- fix mozilla plugin dir

  + Funda Wang <fwang@mandriva.org>
    - New version 2.0.6

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-6mdv2009.0
+ Revision: 236374
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 2.0.4-5mdv2009.0
+ Revision: 231248
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%update_scrollkeeper/%%clean_scrollkeeper
    - use %%preun_uninstall_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.0.4-4mdv2009.0
+ Revision: 200644
- rebuild

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.0.4-3mdv2008.1
+ Revision: 190446
- rebuild for firefox 2.0.0.13

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 2.0.4-2mdv2008.1
+ Revision: 164631
- rebuild for new FF

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2008.1
+ Revision: 120501
- New version 2.0.4
- drop patch1 (merged upstream)

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-12mdv2008.1
+ Revision: 117689
- rebuild for new firefox

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 2.0.3-11mdv2008.1
+ Revision: 109276
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-10mdv2008.1
+ Revision: 106069
- rebuild for new firefox

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-9mdv2008.1
+ Revision: 100435
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 2.0.3-8mdv2008.1
+ Revision: 99855
- Rebuild against FF 2.0.0.7

* Wed Sep 19 2007 Pascal Terjan <pterjan@mandriva.org> 2.0.3-7mdv2008.0
+ Revision: 91015
- Add a workaround (from upstream bugzilla) for crash on opening print dialog

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-6mdv2008.0
+ Revision: 57245
- rebuild


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.3-5mdv2007.1
+ Revision: 148584
- Fix rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-4mdv2007.1
+ Revision: 148368
- rebuild for new firefox

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-3mdv2007.1
+ Revision: 126292
- rebuild for new firefox

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
+ Revision: 106166
- rebuild

* Sat Dec 09 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 94096
- 2.0.3 (unadvertized but out since Sep 18)

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-2mdv2007.1
+ Revision: 92178
- new firefox

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
+ Revision: 79170
- Import galeon

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
- unpack patch
- new version

* Tue Sep 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-8mdv2007.0
- Rebuild with latest firefox

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- rebuild for new firefox

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-6mdv2007.0
- Rebuild with latest dbus

* Thu Jul 13 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.1-5mdv2007.0
- xdg menu
- fix menu section

* Sun Jun 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.1-4mdv2007.0
- rebuild for new firefox

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-3mdk
- rebuild for new firefox

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-2mdk
- Rebuild with latest firefox

* Mon Feb 27 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- drop patch 1
- New release 2.0.1

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-5mdk
- rebuild for new mozilla-firefox

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-4mdk
- fix buildrequires

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-3mdk
- Patch1 (CVS): typeahead find toolbar (typeahead is broken with FF 1.5 otherwise)

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-2mdk
- Rebuild with FF 1.5
- use mkrel
- replace hardcoded version of firefox with the one available at compile time

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- replace prereq
- drop patch 1
- New release 2.0.0

* Wed Oct 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-6mdk
- Rebuild with FF 1.0.7
- drop prereq

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-5mdk 
- Add requires_exception to prevent from asking mozilla

* Sat Jul 30 2005 Marcel Pol <mpol@mandriva.org> 1.3.21-4mdk
- requires yelp

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-3mdk 
- Rebuild with FF 1.0.6

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.21-2mdk 
- Rebuild with FF 1.0.4

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1.3.21-1mdk
- drop merged patch 3
- rediff patch 1
- new source URL
- new version

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 1.3.20-2mdk
- fix buildrequires

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.3.20-1mdk 
- Release 1.3.20 (based on Gtz Waschk package)
- Regenerate patches 1, 3
- Remove patch 2 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-7mdk 
- Patch3: fix i18n init for windows name

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-6mdk 
- Rebuild for FF 1.0.2

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-5mdk
- really really disable nautilus extension

* Sat Feb 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-4mdk
- really disable nautilus extension

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-3mdk 
- Drop webclient-gnome/kde alternative

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.19-2mdk 
- Built with firefox by default now
- Disable nautilus view (view are deprecated now)
- Patch1: allow mozilla-firefox as product
- Patch2: fix typeahead when using firefox as backend

* Tue Jan 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.19-1mdk
- update file list
- New release 1.3.19

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-5mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-4mdk 
- Rebuild with mozilla 1.7.5

* Wed Dec 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.18-3mdk
- add schemas uninstallation
- fix buildrequires

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.18-2mdk
- fix omf file listing
- new galeon

* Thu Oct 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.18-1mdk
- New release 1.3.18

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.17-2mdk
- Rebuild with mozilla 1.7.2

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.17-1mdk
- Release 1.3.17 
- Remove patch 1 (no longer relevant, moved to mozilla package)
- Remove patch 2 (merged upstream)

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.16-1mdk
- New release 1.3.16
- Remove patches 2 & 3 (merged upstream)
- Patch2 (CVS): fix crash when loading some webpages

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.15-3mdk
- Patch3 (CVS): fix build for Mozilla 1.7 final
- Rebuild with Mozilla 1.7 final

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.15-2mdk
- Rebuild
- Add patch2 fix compile with gcc3.4.1

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.15-1mdk
- reenable libtoolize
- New release 1.3.15

* Thu Apr 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-4mdk
- Rebuild for mozilla 1.7

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-3mdk
- Fix BuildRequires again

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-2mdk
- Fix BuildRequires

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14a-1mdk
- Release 1.3.14a

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.14-1mdk
- Release 1.3.14 (from Gtz)
- fix build
- requires new glib
- drop patch 2

